"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const styled_components_1 = require("styled-components");
const Container = styled_components_1.default.div `
  width: 100%;
  height: 500px;
  background-color: rgba(0, 0, 0, 0.2);
`;
const KeyboardView = styled_components_1.default.div `
  display: grid;
  width: 100%;
  height: 100%;

  grid-template-columns: repeat(14, 1fr);
  grid-template-rows: repeat(5, 1fr);
  grid-gap: 10px;
`;
const Key = styled_components_1.default.div `
  padding: 10px;
  background-color: ${(props) => (props.isKey ? 'green' : 'orangered')};
`;
// ` 1 2 3 4 5 6 7 8 9 0 - = back 14
// tab q w e r t y u i o p [ ] \ 14
// ca a s d f g h j k l ; ' enter 13
// shift z x c v b n m , . / sh 12
// con opt comm space comm opt l tb r 9
const keys = [
    ['`', '~', '₩'],
    ['1', '!'],
    ['2', '@'],
    ['3', '#'],
    ['4', '$'],
    ['5', '%'],
    ['6', '^'],
    ['7', '&'],
    ['8', '*'],
    ['9', '('],
    ['0', ')'],
    ['-', '_'],
    ['=', '+'],
    ['Backspace'],
    ['Tab'],
    ['q', 'Q']
];
class Keyboard extends React.PureComponent {
    render() {
        return (React.createElement(Container, null,
            React.createElement(KeyboardView, null, keys.map((key) => (React.createElement(Key, { key: key[0], isKey: key.find((k) => k === this.props.keyValue) }, key[0])))),
            React.createElement("input", { type: "text" })));
    }
}
exports.default = Keyboard;
