"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const Keyboard_1 = require("./Keyboard");
const KeypressModal_1 = require("./KeypressModal");
class KeyboardPreview extends React.Component {
    constructor(props) {
        super(props);
        this.handleKeydown = (e) => {
            this.setState(prevState => {
                let keyValue = e.key;
                if (keyValue === ' ')
                    keyValue = 'SpaceBar';
                if (keyValue === 'Meta')
                    keyValue = 'Command';
                if (keyValue === 'ArrowLeft')
                    keyValue = '←';
                if (keyValue === 'ArrowUp')
                    keyValue = '↑';
                if (keyValue === 'ArrowRight')
                    keyValue = '→';
                if (keyValue === 'ArrowDown')
                    keyValue = '↓';
                return {
                    keyValue,
                    keyCount: prevState.keyCount + 1
                };
            });
        };
        this.state = {
            keyValue: '',
            keyCount: 0
        };
    }
    componentDidMount() {
        addEventListener('keydown', this.handleKeydown);
    }
    componentWillUnmount() {
        removeEventListener('keydown', this.handleKeydown);
    }
    render() {
        return (React.createElement(React.Fragment, null,
            React.createElement(KeypressModal_1.default, { keyValue: this.state.keyValue }),
            React.createElement(Keyboard_1.default, { keyValue: this.state.keyValue })));
    }
}
exports.default = KeyboardPreview;
